solid from faces

Hi, I want to create a solid from faces. I tried to use BRepBuilderAPI_MakeSolid but it requires shells to be added and I tried to create shells from faces using BRepBuilderAPI_MakeShell that requires surfaces( of faces) as input. The problem is when I create solid this way, I think shells are created like a bounded box of surfaces and does not get the shape of the face.
Is there a way to correct this or is there any other way to create solids from faces?
Thanks for replies

Paul Jimenez's picture

I use BRep_Builder for such things. I create the faces with BRepBuilderAPI_MakeFace (I only work with planar faces), instance a TopoDS_Shell, call BRep_Builder::MakeShell on it, then add all faces using BRep_Builder::Add, instance a TopoDS_Solid, call BRep_Builder::MakeSolid on it, then add the shell using BRep_Builder::Add.

Cauchy Ding's picture

Hi Maili,

BRepOffsetAPI_Sewing is a API for stitching faces into shell. If you hope this API really works well, the tolerance must be set properly(not only the sew tolerance, but the tolerance on the face), some times you also need to set the manifold parameter. Hope it works.

-Cauchy Ding

Maili's picture

Creating solid using BRep_Builder and then sewing the solid worked fine, thanks..